import { z } from "https://deno.land/x/zod@v3.22.4/mod.ts";

export type MergeRequest = z.infer<typeof merge_request_parser>;
export const merge_request_parser = z.object({
	iid: z.number(),
	project_id: z.number(),
	reviewers: z.array(z.object({
		username: z.string(),
	})),
});

export const note_parser = z.object({
	body: z.string(),
	author: z.object({
		username: z.string(),
	}),
});
