export function sum(numbers: Iterable<number>) {
	let result = 0;
	for (const item of numbers) result += item;
	return result;
}
export async function parallel<I, O>(inputs: I[], operation: (item: I) => Promise<O>) {
	const promises = [] as Promise<O>[];
	for (const input of inputs) promises.push(operation(input));
	return await Promise.all(promises);
}
